Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.aiff
Class ExtDouble

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.aiff.ExtDouble

    public class ExtDouble

extends java.lang.Object

Code to deal with the 80-bit floating point (extended double) numbers which occur in AIFF files. Should also be applicable in general. Java has no built-in support for IEEE 754 extended double numbers. Thus, we have to unpack the number and convert it to a double by hand. There is, of course, loss of precision. This isn't designed for high-precision work; as the standard disclaimer says, don't use it for life support systems or nuclear power plants.

Author:
  Gary McGath

Constructor Summary
`ExtDouble(byte[] rawData)` Constructor.

Method Summary
`double` | `toDouble()` Convert the value to a Java double.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtDouble

    public ExtDouble(byte[] rawData)

  Constructor.

  Parameters:
    `rawData` - A 10-byte array representing the number in the sequence in which it was stored.

Method Detail

### toDouble

    public double toDouble()

  Convert the value to a Java double. This results in loss of precision. If the number is out of range, results aren't guaranteed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD